Update a promotion
curl --request PATCH \
--url https://api.1club.ai/v1/platform/promotions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"code": "<string>",
"value": 1.01,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"maxRedemptions": 2,
"maxRedemptionsPerContact": 2,
"validFor": {
"scopes": [],
"classTypes": [
123
],
"areaTypes": [
123
],
"instructorTypes": [
123
],
"clubIds": [
123
],
"planIds": [
123
],
"allPlans": true
},
"segmentFilter": {
"memberTypes": [],
"tags": [
"<string>"
],
"membershipPlanIds": [
123
],
"membershipPlanCategoryIds": [
123
],
"pipelineStageIds": [
123
],
"sourceIds": [
123
],
"progressionLevelIds": [
123
]
},
"conditions": {
"minPeople": 3,
"bookingLength": {
"minMinutes": 123,
"maxMinutes": 123
},
"firstBookingOnly": true,
"firstPurchaseOnly": true
},
"autoApply": true
}
'import requests
url = "https://api.1club.ai/v1/platform/promotions/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"code": "<string>",
"value": 1.01,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"maxRedemptions": 2,
"maxRedemptionsPerContact": 2,
"validFor": {
"scopes": [],
"classTypes": [123],
"areaTypes": [123],
"instructorTypes": [123],
"clubIds": [123],
"planIds": [123],
"allPlans": True
},
"segmentFilter": {
"memberTypes": [],
"tags": ["<string>"],
"membershipPlanIds": [123],
"membershipPlanCategoryIds": [123],
"pipelineStageIds": [123],
"sourceIds": [123],
"progressionLevelIds": [123]
},
"conditions": {
"minPeople": 3,
"bookingLength": {
"minMinutes": 123,
"maxMinutes": 123
},
"firstBookingOnly": True,
"firstPurchaseOnly": True
},
"autoApply": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
code: '<string>',
value: 1.01,
startsAt: '2023-11-07T05:31:56Z',
endsAt: '2023-11-07T05:31:56Z',
maxRedemptions: 2,
maxRedemptionsPerContact: 2,
validFor: {
scopes: [],
classTypes: [123],
areaTypes: [123],
instructorTypes: [123],
clubIds: [123],
planIds: [123],
allPlans: true
},
segmentFilter: {
memberTypes: [],
tags: ['<string>'],
membershipPlanIds: [123],
membershipPlanCategoryIds: [123],
pipelineStageIds: [123],
sourceIds: [123],
progressionLevelIds: [123]
},
conditions: {
minPeople: 3,
bookingLength: {minMinutes: 123, maxMinutes: 123},
firstBookingOnly: true,
firstPurchaseOnly: true
},
autoApply: true
})
};
fetch('https://api.1club.ai/v1/platform/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/promotions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'code' => '<string>',
'value' => 1.01,
'startsAt' => '2023-11-07T05:31:56Z',
'endsAt' => '2023-11-07T05:31:56Z',
'maxRedemptions' => 2,
'maxRedemptionsPerContact' => 2,
'validFor' => [
'scopes' => [
],
'classTypes' => [
123
],
'areaTypes' => [
123
],
'instructorTypes' => [
123
],
'clubIds' => [
123
],
'planIds' => [
123
],
'allPlans' => true
],
'segmentFilter' => [
'memberTypes' => [
],
'tags' => [
'<string>'
],
'membershipPlanIds' => [
123
],
'membershipPlanCategoryIds' => [
123
],
'pipelineStageIds' => [
123
],
'sourceIds' => [
123
],
'progressionLevelIds' => [
123
]
],
'conditions' => [
'minPeople' => 3,
'bookingLength' => [
'minMinutes' => 123,
'maxMinutes' => 123
],
'firstBookingOnly' => true,
'firstPurchaseOnly' => true
],
'autoApply' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/promotions/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"code\": \"<string>\",\n \"value\": 1.01,\n \"startsAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"maxRedemptions\": 2,\n \"maxRedemptionsPerContact\": 2,\n \"validFor\": {\n \"scopes\": [],\n \"classTypes\": [\n 123\n ],\n \"areaTypes\": [\n 123\n ],\n \"instructorTypes\": [\n 123\n ],\n \"clubIds\": [\n 123\n ],\n \"planIds\": [\n 123\n ],\n \"allPlans\": true\n },\n \"segmentFilter\": {\n \"memberTypes\": [],\n \"tags\": [\n \"<string>\"\n ],\n \"membershipPlanIds\": [\n 123\n ],\n \"membershipPlanCategoryIds\": [\n 123\n ],\n \"pipelineStageIds\": [\n 123\n ],\n \"sourceIds\": [\n 123\n ],\n \"progressionLevelIds\": [\n 123\n ]\n },\n \"conditions\": {\n \"minPeople\": 3,\n \"bookingLength\": {\n \"minMinutes\": 123,\n \"maxMinutes\": 123\n },\n \"firstBookingOnly\": true,\n \"firstPurchaseOnly\": true\n },\n \"autoApply\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.1club.ai/v1/platform/promotions/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"code\": \"<string>\",\n \"value\": 1.01,\n \"startsAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"maxRedemptions\": 2,\n \"maxRedemptionsPerContact\": 2,\n \"validFor\": {\n \"scopes\": [],\n \"classTypes\": [\n 123\n ],\n \"areaTypes\": [\n 123\n ],\n \"instructorTypes\": [\n 123\n ],\n \"clubIds\": [\n 123\n ],\n \"planIds\": [\n 123\n ],\n \"allPlans\": true\n },\n \"segmentFilter\": {\n \"memberTypes\": [],\n \"tags\": [\n \"<string>\"\n ],\n \"membershipPlanIds\": [\n 123\n ],\n \"membershipPlanCategoryIds\": [\n 123\n ],\n \"pipelineStageIds\": [\n 123\n ],\n \"sourceIds\": [\n 123\n ],\n \"progressionLevelIds\": [\n 123\n ]\n },\n \"conditions\": {\n \"minPeople\": 3,\n \"bookingLength\": {\n \"minMinutes\": 123,\n \"maxMinutes\": 123\n },\n \"firstBookingOnly\": true,\n \"firstPurchaseOnly\": true\n },\n \"autoApply\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/promotions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"code\": \"<string>\",\n \"value\": 1.01,\n \"startsAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"maxRedemptions\": 2,\n \"maxRedemptionsPerContact\": 2,\n \"validFor\": {\n \"scopes\": [],\n \"classTypes\": [\n 123\n ],\n \"areaTypes\": [\n 123\n ],\n \"instructorTypes\": [\n 123\n ],\n \"clubIds\": [\n 123\n ],\n \"planIds\": [\n 123\n ],\n \"allPlans\": true\n },\n \"segmentFilter\": {\n \"memberTypes\": [],\n \"tags\": [\n \"<string>\"\n ],\n \"membershipPlanIds\": [\n 123\n ],\n \"membershipPlanCategoryIds\": [\n 123\n ],\n \"pipelineStageIds\": [\n 123\n ],\n \"sourceIds\": [\n 123\n ],\n \"progressionLevelIds\": [\n 123\n ]\n },\n \"conditions\": {\n \"minPeople\": 3,\n \"bookingLength\": {\n \"minMinutes\": 123,\n \"maxMinutes\": 123\n },\n \"firstBookingOnly\": true,\n \"firstPurchaseOnly\": true\n },\n \"autoApply\": true\n}"
response = http.request(request)
puts response.read_body{
"promotionId": 123,
"name": "<string>",
"description": "<string>",
"type": "discount",
"discountFormat": "percent",
"value": 123,
"code": "<string>",
"autoApply": true,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"status": "scheduled",
"redemptionCount": 123,
"maxRedemptions": 123,
"maxRedemptionsPerContact": 123,
"visibility": "Public",
"validFor": {
"scopes": [
"classes"
],
"classTypes": [
123
],
"areaTypes": [
123
],
"instructorTypes": [
123
],
"clubIds": [
123
],
"planIds": [
123
],
"allPlans": true
},
"segmentFilter": {
"memberTypes": [
"contact"
],
"tags": [
"<string>"
],
"membershipPlanIds": [
123
],
"membershipPlanCategoryIds": [
123
],
"pipelineStageIds": [
123
],
"sourceIds": [
123
],
"progressionLevelIds": [
123
]
},
"conditions": {
"minPeople": 3,
"timeWindow": {
"startTime": "08:00",
"endTime": "16:00",
"weekdays": [
"monday"
],
"match": "start"
},
"bookingLength": {
"minMinutes": 123,
"maxMinutes": 123
},
"firstBookingOnly": true,
"firstPurchaseOnly": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Promotions
Update a promotion
Edits a promotion. Send only what changes; an omitted field is left alone. validFor, segmentFilter and conditions each replace the whole object when sent - read the promotion first and send the object you want. The change is judged on the promotion it produces, and applies to every purchase from then on; redemptions already made keep their amount. To stop a promotion, set endsAt.
PATCH
/
v1
/
platform
/
promotions
/
{id}
Update a promotion
curl --request PATCH \
--url https://api.1club.ai/v1/platform/promotions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"code": "<string>",
"value": 1.01,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"maxRedemptions": 2,
"maxRedemptionsPerContact": 2,
"validFor": {
"scopes": [],
"classTypes": [
123
],
"areaTypes": [
123
],
"instructorTypes": [
123
],
"clubIds": [
123
],
"planIds": [
123
],
"allPlans": true
},
"segmentFilter": {
"memberTypes": [],
"tags": [
"<string>"
],
"membershipPlanIds": [
123
],
"membershipPlanCategoryIds": [
123
],
"pipelineStageIds": [
123
],
"sourceIds": [
123
],
"progressionLevelIds": [
123
]
},
"conditions": {
"minPeople": 3,
"bookingLength": {
"minMinutes": 123,
"maxMinutes": 123
},
"firstBookingOnly": true,
"firstPurchaseOnly": true
},
"autoApply": true
}
'import requests
url = "https://api.1club.ai/v1/platform/promotions/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"code": "<string>",
"value": 1.01,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"maxRedemptions": 2,
"maxRedemptionsPerContact": 2,
"validFor": {
"scopes": [],
"classTypes": [123],
"areaTypes": [123],
"instructorTypes": [123],
"clubIds": [123],
"planIds": [123],
"allPlans": True
},
"segmentFilter": {
"memberTypes": [],
"tags": ["<string>"],
"membershipPlanIds": [123],
"membershipPlanCategoryIds": [123],
"pipelineStageIds": [123],
"sourceIds": [123],
"progressionLevelIds": [123]
},
"conditions": {
"minPeople": 3,
"bookingLength": {
"minMinutes": 123,
"maxMinutes": 123
},
"firstBookingOnly": True,
"firstPurchaseOnly": True
},
"autoApply": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
code: '<string>',
value: 1.01,
startsAt: '2023-11-07T05:31:56Z',
endsAt: '2023-11-07T05:31:56Z',
maxRedemptions: 2,
maxRedemptionsPerContact: 2,
validFor: {
scopes: [],
classTypes: [123],
areaTypes: [123],
instructorTypes: [123],
clubIds: [123],
planIds: [123],
allPlans: true
},
segmentFilter: {
memberTypes: [],
tags: ['<string>'],
membershipPlanIds: [123],
membershipPlanCategoryIds: [123],
pipelineStageIds: [123],
sourceIds: [123],
progressionLevelIds: [123]
},
conditions: {
minPeople: 3,
bookingLength: {minMinutes: 123, maxMinutes: 123},
firstBookingOnly: true,
firstPurchaseOnly: true
},
autoApply: true
})
};
fetch('https://api.1club.ai/v1/platform/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/promotions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'code' => '<string>',
'value' => 1.01,
'startsAt' => '2023-11-07T05:31:56Z',
'endsAt' => '2023-11-07T05:31:56Z',
'maxRedemptions' => 2,
'maxRedemptionsPerContact' => 2,
'validFor' => [
'scopes' => [
],
'classTypes' => [
123
],
'areaTypes' => [
123
],
'instructorTypes' => [
123
],
'clubIds' => [
123
],
'planIds' => [
123
],
'allPlans' => true
],
'segmentFilter' => [
'memberTypes' => [
],
'tags' => [
'<string>'
],
'membershipPlanIds' => [
123
],
'membershipPlanCategoryIds' => [
123
],
'pipelineStageIds' => [
123
],
'sourceIds' => [
123
],
'progressionLevelIds' => [
123
]
],
'conditions' => [
'minPeople' => 3,
'bookingLength' => [
'minMinutes' => 123,
'maxMinutes' => 123
],
'firstBookingOnly' => true,
'firstPurchaseOnly' => true
],
'autoApply' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/promotions/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"code\": \"<string>\",\n \"value\": 1.01,\n \"startsAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"maxRedemptions\": 2,\n \"maxRedemptionsPerContact\": 2,\n \"validFor\": {\n \"scopes\": [],\n \"classTypes\": [\n 123\n ],\n \"areaTypes\": [\n 123\n ],\n \"instructorTypes\": [\n 123\n ],\n \"clubIds\": [\n 123\n ],\n \"planIds\": [\n 123\n ],\n \"allPlans\": true\n },\n \"segmentFilter\": {\n \"memberTypes\": [],\n \"tags\": [\n \"<string>\"\n ],\n \"membershipPlanIds\": [\n 123\n ],\n \"membershipPlanCategoryIds\": [\n 123\n ],\n \"pipelineStageIds\": [\n 123\n ],\n \"sourceIds\": [\n 123\n ],\n \"progressionLevelIds\": [\n 123\n ]\n },\n \"conditions\": {\n \"minPeople\": 3,\n \"bookingLength\": {\n \"minMinutes\": 123,\n \"maxMinutes\": 123\n },\n \"firstBookingOnly\": true,\n \"firstPurchaseOnly\": true\n },\n \"autoApply\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.1club.ai/v1/platform/promotions/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"code\": \"<string>\",\n \"value\": 1.01,\n \"startsAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"maxRedemptions\": 2,\n \"maxRedemptionsPerContact\": 2,\n \"validFor\": {\n \"scopes\": [],\n \"classTypes\": [\n 123\n ],\n \"areaTypes\": [\n 123\n ],\n \"instructorTypes\": [\n 123\n ],\n \"clubIds\": [\n 123\n ],\n \"planIds\": [\n 123\n ],\n \"allPlans\": true\n },\n \"segmentFilter\": {\n \"memberTypes\": [],\n \"tags\": [\n \"<string>\"\n ],\n \"membershipPlanIds\": [\n 123\n ],\n \"membershipPlanCategoryIds\": [\n 123\n ],\n \"pipelineStageIds\": [\n 123\n ],\n \"sourceIds\": [\n 123\n ],\n \"progressionLevelIds\": [\n 123\n ]\n },\n \"conditions\": {\n \"minPeople\": 3,\n \"bookingLength\": {\n \"minMinutes\": 123,\n \"maxMinutes\": 123\n },\n \"firstBookingOnly\": true,\n \"firstPurchaseOnly\": true\n },\n \"autoApply\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/promotions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"code\": \"<string>\",\n \"value\": 1.01,\n \"startsAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"maxRedemptions\": 2,\n \"maxRedemptionsPerContact\": 2,\n \"validFor\": {\n \"scopes\": [],\n \"classTypes\": [\n 123\n ],\n \"areaTypes\": [\n 123\n ],\n \"instructorTypes\": [\n 123\n ],\n \"clubIds\": [\n 123\n ],\n \"planIds\": [\n 123\n ],\n \"allPlans\": true\n },\n \"segmentFilter\": {\n \"memberTypes\": [],\n \"tags\": [\n \"<string>\"\n ],\n \"membershipPlanIds\": [\n 123\n ],\n \"membershipPlanCategoryIds\": [\n 123\n ],\n \"pipelineStageIds\": [\n 123\n ],\n \"sourceIds\": [\n 123\n ],\n \"progressionLevelIds\": [\n 123\n ]\n },\n \"conditions\": {\n \"minPeople\": 3,\n \"bookingLength\": {\n \"minMinutes\": 123,\n \"maxMinutes\": 123\n },\n \"firstBookingOnly\": true,\n \"firstPurchaseOnly\": true\n },\n \"autoApply\": true\n}"
response = http.request(request)
puts response.read_body{
"promotionId": 123,
"name": "<string>",
"description": "<string>",
"type": "discount",
"discountFormat": "percent",
"value": 123,
"code": "<string>",
"autoApply": true,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"status": "scheduled",
"redemptionCount": 123,
"maxRedemptions": 123,
"maxRedemptionsPerContact": 123,
"visibility": "Public",
"validFor": {
"scopes": [
"classes"
],
"classTypes": [
123
],
"areaTypes": [
123
],
"instructorTypes": [
123
],
"clubIds": [
123
],
"planIds": [
123
],
"allPlans": true
},
"segmentFilter": {
"memberTypes": [
"contact"
],
"tags": [
"<string>"
],
"membershipPlanIds": [
123
],
"membershipPlanCategoryIds": [
123
],
"pipelineStageIds": [
123
],
"sourceIds": [
123
],
"progressionLevelIds": [
123
]
},
"conditions": {
"minPeople": 3,
"timeWindow": {
"startTime": "08:00",
"endTime": "16:00",
"weekdays": [
"monday"
],
"match": "start"
},
"bookingLength": {
"minMinutes": 123,
"maxMinutes": 123
},
"firstBookingOnly": true,
"firstPurchaseOnly": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Headers
Body
application/json
Send only what changes. validFor, segmentFilter and conditions each replace the whole object when sent.
Response
The updated promotion
Was this page helpful?